Skip to main content
GET
https://{tenantDomain}/api/v2
/
hooks
/
{id}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Hooks.GetAsync(
            id: "id",
            request: new GetHookRequestParameters {
                Fields = "fields"
            }
        );
    }

}
{
  "triggerId": "<string>",
  "id": "00001",
  "name": "hook",
  "enabled": true,
  "script": "module.exports = function(client, scope, audience, context, cb) cb(null, access_token); };",
  "dependencies": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the hook to retrieve.

Query Parameters

fields
string

Comma-separated list of fields to include in the result. Leave empty to retrieve all fields.

Response

Hook successfully retrieved.

triggerId
string

Trigger ID

id
string
default:00001

ID of this hook.

name
string
default:hook

Name of this hook.

enabled
boolean
default:true

Whether this hook will be executed (true) or ignored (false).

script
string
default:module.exports = function(client, scope, audience, context, cb) cb(null, access_token); };

Code to be executed when this hook runs.

dependencies
object

Dependencies of this hook used by webtask server.